function find_path(frame)

%% create binary image
path_r = 164;
path_g = 175;
path_b = 176;
r_range = 40;
g_range = 40;
b_range = 40;

r_matches = frame(:,:,1)>path_r-r_range & frame(:,:,1)<path_r+r_range;
g_matches = frame(:,:,2)>path_g-g_range & frame(:,:,2)<path_g+g_range;
b_matches = frame(:,:,3)>path_b-b_range & frame(:,:,3)<path_b+b_range;
binary_image = r_matches & g_matches & b_matches;

%% median filter path
mfiltlen = 25;
binary_filt = medfilt2(binary_image,[mfiltlen,mfiltlen]);

%% find center of mass of rows
[rows cols] = size(binary_filt);
path_points = zeros(rows,cols);
for r = 1:rows
    indices = find(binary_filt(r,:)==1);
    indices_length = length(indices);
    if(indices_length>0)
        center_index = round(sum(indices)./indices_length);
        path_points(r,center_index) = 1;
    end
end

%% plot path on original
[y,x] = find(path_points==1);
[y_sorted,index_mat] = sort(y);
x_sorted = x(index_mat);
figure
image(frame)
hold on
plot(x_sorted,y_sorted)
